cURL
curl --request PUT \
--url https://aodocs.altirnao.com/api/document/v1beta1/{documentId}/publish \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/document/v1beta1/{documentId}/publish"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/document/v1beta1/{documentId}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"autodeskUrn": {
"urn": "<string>"
},
"fileId": "<string>",
"iconLink": "<string>",
"kind": "<string>",
"link": "<string>",
"md5Checksum": "<string>",
"mimeType": "<string>",
"name": "<string>",
"permissionsOnDrive": [
{
"additionalRoles": [
"<string>"
],
"allowlisted": true,
"belongsToDomain": true,
"email": "<string>",
"googleEmailAddress": true,
"kind": "<string>",
"name": "<string>",
"permissionId": "<string>",
"role": "<string>",
"thumbnailPhotoUrl": "<string>",
"type": "<string>",
"withLink": true
}
],
"publishedLink": "<string>",
"resourceKey": "<string>",
"revisionId": "<string>",
"size": 123
}
]
}documentId
Put documentv1beta1 publish
Publishes or unpublishes a document’s attachments on Drive.
PUT
/
document
/
v1beta1
/
{documentId}
/
publish
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the document
Query Parameters
The Drive publication status of the attachment
Available options:
NONE, DOMAIN, EVERYONE The security code
The G Suite domain
Response
200 - application/json
A ApiAttachmentCollection response
An ordered list of ApiAttachment
Show child attributes
Show child attributes
⌘I